Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
EzSystems\PlatformInstallerBundle\Installer\CleanInstaller Class Reference
Inheritance diagram for EzSystems\PlatformInstallerBundle\Installer\CleanInstaller:

## Public Member Functions
| createConfiguration ()
| importSchema ()
| Handle inserting of schema. More...
| importData ()
| Handle inserting of sql dump, sql dump should ideally be in ISO SQL format. More...
| importBinaries ()
| Handle optional import of binary files to var folder. More...
Public Member Functions inherited from EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller
| __construct (Connection $db)
| setOutput ($output)

## Additional Inherited Members
Protected Member Functions inherited from EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller
| copyConfigurationFile ($source, $target)
| Copy and override configuration file. More...
| runQueriesFromFile ($file)
| getKernelSQLFileForDBMS ($relativeFilePath)
| Get DBMS-specific SQL data file path. More...
Protected Attributes inherited from EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller
| $db
| $output
| $baseDataDir

## Detailed Description

Deprecated:
  since 7.5.

Use CoreInstaller instead.

Definition at line 12 of file CleanInstaller.php.

## Member Function Documentation

## ◆ createConfiguration()

EzSystems\PlatformInstallerBundle\Installer\CleanInstaller::createConfiguration | ( |  | ) |

Deprecated:
  Inactive since 6.1, further info: https://jira.ez.no/browse/EZP-25369

Implements EzSystems\PlatformInstallerBundle\Installer\Installer.

Definition at line 14 of file CleanInstaller.php.

## ◆ importBinaries()

EzSystems\PlatformInstallerBundle\Installer\CleanInstaller::importBinaries | ( |  | ) |

Handle optional import of binary files to var folder.

Implements EzSystems\PlatformInstallerBundle\Installer\Installer.

Definition at line 34 of file CleanInstaller.php.

## ◆ importData()

EzSystems\PlatformInstallerBundle\Installer\CleanInstaller::importData | ( |  | ) |

Handle inserting of sql dump, sql dump should ideally be in ISO SQL format.

Implements EzSystems\PlatformInstallerBundle\Installer\Installer.

Definition at line 29 of file CleanInstaller.php.

References EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\getKernelSQLFileForDBMS(), and EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\runQueriesFromFile().

## ◆ importSchema()

EzSystems\PlatformInstallerBundle\Installer\CleanInstaller::importSchema | ( |  | ) |

Handle inserting of schema.

Implements EzSystems\PlatformInstallerBundle\Installer\Installer.

Definition at line 18 of file CleanInstaller.php.

References EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\getKernelSQLFileForDBMS(), and EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\runQueriesFromFile().

The documentation for this class was generated from the following file:

- CleanInstaller.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.